package net.northking.cctp.device.dto.pcDevice;

import io.swagger.annotations.ApiModelProperty;

import java.util.List;

public class CdPcDeviceScriptDto {

    @ApiModelProperty("设备名称")
    private String productName;

    @ApiModelProperty("使用状态(1-空闲 2-使用中)")
    private List<String> usageStatus;

    @ApiModelProperty("设备归属(0-所有 1-公有 2-私有)")
    private List<String> tenantCheck;

    @ApiModelProperty("系统id")
    private String projectId;

    @ApiModelProperty("租户id")
    private String tenantId;

    @ApiModelProperty("所属系统")
    private List<String> osNames;

    @ApiModelProperty("设备集合")
    private List<String> deviceList;

    private String proCheck;

    private String proNull;

    public List<String> getDeviceList() {
        return deviceList;
    }

    public void setDeviceList(List<String> deviceList) {
        this.deviceList = deviceList;
    }

    public String getProCheck() {
        return proCheck;
    }

    public void setProCheck(String proCheck) {
        this.proCheck = proCheck;
    }

    public String getProNull() {
        return proNull;
    }

    public void setProNull(String proNull) {
        this.proNull = proNull;
    }

    public List<String> getUsageStatus() {
        return usageStatus;
    }

    public void setUsageStatus(List<String> usageStatus) {
        this.usageStatus = usageStatus;
    }

    public List<String> getTenantCheck() {
        return tenantCheck;
    }

    public void setTenantCheck(List<String> tenantCheck) {
        this.tenantCheck = tenantCheck;
    }

    public List<String> getOsNames() {
        return osNames;
    }

    public void setOsNames(List<String> osNames) {
        this.osNames = osNames;
    }

    public String getProductName() {
        return productName;
    }

    public void setProductName(String productName) {
        this.productName = productName;
    }

    public String getProjectId() {
        return projectId;
    }

    public void setProjectId(String projectId) {
        this.projectId = projectId;
    }

    public String getTenantId() {
        return tenantId;
    }

    public void setTenantId(String tenantId) {
        this.tenantId = tenantId;
    }


}
